## fpylll 0.4.1+ds1

=== requirements.txt ===
Cython
pytest
cysignals
flake8

## fpylll 0.2.3+ds

=== debian/changelog ===
fpylll (0.2.3+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - [Build-]Depends field, specify a default favour for python-cysignals;
      - Depends field for python-fpylll, add python-cysignals,numpy}, thanks
        to post-install tests;
    - debian/tests/control:
      - py.test, now performed for each favour of python-cysignals.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 05 Nov 2016 03:28:31 +0000

fpylll (0.2.3+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #841005)

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 29 Oct 2016 14:09:55 +0000

=== debian/control ===
Source: fpylll
Section: python
Priority: optional
Maintainer: Jerome Benoit <calculus@rezozer.net>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: cython (>= 0.24),
               debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               libfplll-dev (>= 5.0.3),
               libgmp-dev,
               libmpfr-dev,
               libpython-dev,
               pkg-config,
               python-all,
               python-cysignals-bare | python-cysignals,
               python-flake8,
               python-numpy,
               python-pytest,
               python-setuptools
Build-Depends-Indep: python-docutils
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: https://github.com/fplll/fpylll
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/fpylll.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/fpylll.git

Package: python-fpylll
Architecture: any
Multi-Arch: same
Depends: python-cysignals-bare | python-cysignals,
         python-numpy,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Suggests: python-fpylll-doc (= ${source:Version})
Description: Python wrapper for LLL-reduction of Euclidean lattices -- Python
 fpylll is a Python library for performing lattice reduction on lattices over
 the Integers; it is based on the fpLLL C++ library.
 .
 This package installs the library for Python 2.

Package: python-fpylll-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: python-fpylll (= ${source:Version})
Description: Python wrapper for LLL-reduction of Euclidean lattices -- doc
 fpylll is a Python library for performing lattice reduction on lattices over
 the Integers; it is based on the fpLLL C++ library.
 .
 This is the common documentation package with examples.

## fpylll 0.2.4+ds

=== debian/changelog ===
fpylll (0.2.4+ds-2build1) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:21:24 +0000

fpylll (0.2.4+ds-2) experimental; urgency=medium

  * Be more robust to different types of errors when importing Sage. See Github
    PR#97 for details.
  * Add myself to Uploaders.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Wed, 16 Aug 2017 23:19:21 +0200

fpylll (0.2.4+ds-1) experimental; urgency=medium

  * New upstream release.
  * Debianization:
    - debian/copyright, update;
    - debian/patches/*, integrated --- thanks to the upstream maintainer
      Martin Albrecht <martinralbrecht+github@googlemail.com>.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Jun 2017 07:21:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: fpylll
 Section: python
 Priority: optional
-Maintainer: Jerome Benoit <calculus@rezozer.net>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: cython (>= 0.24),
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Jerome Benoit <calculus@rezozer.net>,
+           Ximin Luo <infinity0@debian.org>
+Build-Depends: cython (>= 0.25),
                debhelper (>= 10),
                dh-python,
                dpkg-dev (>= 1.17.14),
-               libfplll-dev (>= 5.0.3),
+               libfplll-dev (>= 5.1.0),
                libgmp-dev,
                libmpfr-dev,
                libpython-dev,
@@ -19,7 +20,7 @@
                python-pytest,
                python-setuptools
 Build-Depends-Indep: python-docutils
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 X-Python-Version: >= 2.7
 Homepage: https://github.com/fplll/fpylll
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/fpylll.git

## fpylll 0.3.0+ds

=== debian/changelog ===
fpylll (0.3.0+ds-3build1) bionic; urgency=medium

  * No-change rebuild for mpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Jan 2018 21:38:19 +0000

fpylll (0.3.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Add Breaks: sagemath (<< 8.1~) to ensure fpylll migrates to testing
    together with sagemath 8.1.

 -- Tobias Hansen <thansen@debian.org>  Sat, 30 Dec 2017 11:47:31 +0100

fpylll (0.3.0+ds-2) experimental; urgency=medium

  * Work around upstream #112 test failure on 32-bit arches. (Closes: #881878)

 -- Ximin Luo <infinity0@debian.org>  Thu, 28 Dec 2017 13:46:36 +0100

fpylll (0.3.0+ds-1) experimental; urgency=medium

  * Team upload to experimental.

  [ Julien Puydt ]
  * New upstream release.
  * Bump std-ver to 4.1.1.
  * Mark the -doc as Multi-Arch: foreign following hinter.
  * Drop the now-upstreamed patch for more robustness when importing.

  [ Tobias Hansen ]
  * Build-Depend on libfplll-dev (>= 5.2.0).

 -- Tobias Hansen <thansen@debian.org>  Sun, 12 Nov 2017 16:16:37 +0100

fpylll (0.2.4+ds-3) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Sun, 27 Aug 2017 14:20:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                debhelper (>= 10),
                dh-python,
                dpkg-dev (>= 1.17.14),
-               libfplll-dev (>= 5.1.0),
+               libfplll-dev (>= 5.2.0),
                libgmp-dev,
                libmpfr-dev,
                libpython-dev,
@@ -20,7 +20,7 @@
                python-pytest,
                python-setuptools
 Build-Depends-Indep: python-docutils
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.7
 Homepage: https://github.com/fplll/fpylll
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/fpylll.git
@@ -35,6 +35,7 @@
          ${python:Depends},
          ${shlibs:Depends}
 Suggests: python-fpylll-doc (= ${source:Version})
+Breaks: sagemath (<< 8.1~)
 Description: Python wrapper for LLL-reduction of Euclidean lattices -- Python
  fpylll is a Python library for performing lattice reduction on lattices over
  the Integers; it is based on the fpLLL C++ library.
@@ -42,6 +43,7 @@
  This package installs the library for Python 2.
 
 Package: python-fpylll-doc
+Multi-Arch: foreign
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fpylll

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with autoreconf --with python2 --buildsystem=pybuild

override_dh_auto_build-indep:
	@true

override_dh_auto_test-indep:
	@true

override_dh_auto_install-indep:
	@true

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

# running `setup.py clean' builts cython files;
# Bug: https://github.com/cython/cython/issues/1495
override_dh_auto_clean:
	@true

get-orig-source:
	uscan --no-conf --download-current-version --compression xz --verbose

=== debian/tests/control ===
Test-Command: py.test /usr/share/doc/python-fpylll-doc/tests
Depends: python-cysignals-bare, python-fpylll, python-fpylll-doc, python-pytest

Test-Command: py.test /usr/share/doc/python-fpylll-doc/tests
Depends: python-cysignals-pari, python-fpylll, python-fpylll-doc, python-pytest

=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds//,repacksuffix=+ds \
https://github.com/fplll/fpylll/releases .*/fpylll-(\d\S*)dev\.tar\.gz

## fpylll 0.4.1+ds1

=== debian/changelog ===
fpylll (0.4.1+ds1-5) unstable; urgency=medium

  * Team upload.
  * wrap-and-sort -ast.
  * Properly build-depend on python(3)-all-dev instead of libpython(3.X)-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 19 Dec 2018 02:34:20 +0100

fpylll (0.4.1+ds1-4) unstable; urgency=medium

  * Bug fix release (Closes: #891593), refresh d/*.links .
  * Debianization:
    - debian/control:
      - Standards-Version, bump to 4.2.1 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 05 Oct 2018 07:50:51 +0000

fpylll (0.4.1+ds1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Wed, 26 Sep 2018 20:08:00 +0200

fpylll (0.4.1+ds1-2) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Tobias Hansen ]
  * Build-Depend on fplll 5.2.1. (Closes: #905434)

 -- Tobias Hansen <thansen@debian.org>  Tue, 21 Aug 2018 10:50:26 +0200

fpylll (0.4.1+ds1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

  [ Julien Puydt ]
  * New upstream release.
  * Drop all patches : upstreamed!

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jul 2018 10:30:15 +0200

fpylll (0.3.0+ds1-4) experimental; urgency=medium

  * RC fix release (Closes: #889584), apply upstream patch.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Feb 2018 13:10:29 +0000

fpylll (0.3.0+ds1-3) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 16 Feb 2018 12:31:29 +0000

fpylll (0.3.0+ds1-2) experimental; urgency=medium

  * RC fix release (Closes: #888758), complete copyright for s/f/gmp/* .

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 02 Feb 2018 14:59:25 +0000

fpylll (0.3.0+ds1-1) experimental; urgency=medium

  * Debianization:
    - add Python 3 support (Closes: #874696);
    - debian/copyright:
      - copyright year tuple, refresh;
      - Files-Excluded field, update;
    - debian/watch:
      - options, add compression;
    - debian/control:
      - debhelper, bump to 11;
      - Standards-Version, bump to 4.1.3;
      - Build-Depends, refresh;
    - debian/rules:
      - get-orig-source target, compression option, remove;
    - debian/patches/*:
      - d/p/upstream-fix-lintian-spelling-error.patch , introduce;
    - debian/tests/*:
      - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Jan 2018 14:25:40 +0000

=== debian/control ===
Source: fpylll
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Jerome Benoit <calculus@rezozer.net>,
 Ximin Luo <infinity0@debian.org>,
 Julien Puydt <jpuydt@debian.org>,
Build-Depends:
 cython (>= 0.26),
 cython3 (>= 0.26),
 debhelper (>= 11),
 dh-python,
 libfplll-dev (>= 5.2.1),
 libgmp-dev,
 libmpfr-dev,
 pkg-config,
 python-all-dev,
 python-cysignals-bare | python-cysignals,
 python-flake8,
 python-numpy,
 python-pytest,
 python-setuptools,
 python3-all-dev,
 python3-cysignals-bare | python3-cysignals,
 python3-flake8,
 python3-numpy,
 python3-pytest,
 python3-setuptools,
Build-Depends-Indep:
 python-docutils,
Standards-Version: 4.2.1
X-Python3-Version: >= 3.5
Homepage: https://github.com/fplll/fpylll
Vcs-Git: https://salsa.debian.org/python-team/modules/fpylll.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/fpylll

Package: python-fpylll
Architecture: any
Multi-Arch: same
Depends:
 python-cysignals-bare | python-cysignals,
 python-numpy,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Suggests:
 python-fpylll-doc (= ${source:Version}),
Breaks:
 sagemath (<< 8.1~),
Description: Python wrapper for LLL-reduction of Euclidean lattices -- Python
 fpylll is a Python library for performing lattice reduction on lattices over
 the Integers; it is based on the fpLLL C++ library.
 .
 This package installs the library for Python 2.

Package: python3-fpylll
Architecture: any
Multi-Arch: same
Depends:
 python3-cysignals-bare | python3-cysignals,
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-fpylll-doc (= ${source:Version}),
Breaks:
 sagemath (<< 8.1~),
Description: Python wrapper for LLL-reduction of Euclidean lattices -- Python 3
 fpylll is a Python library for performing lattice reduction on lattices over
 the Integers; it is based on the fpLLL C++ library.
 .
 This package installs the library for Python 3.

Package: python-fpylll-doc
Multi-Arch: foreign
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Enhances:
 python-fpylll (= ${source:Version}),
Description: Python wrapper for LLL-reduction of Euclidean lattices -- doc
 fpylll is a Python library for performing lattice reduction on lattices over
 the Integers; it is based on the fpLLL C++ library.
 .
 This is the common documentation package with examples.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with autoreconf --with python2 --buildsystem=pybuild
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_build-indep:
 	@true
@@ -26,6 +26,3 @@
 # Bug: https://github.com/cython/cython/issues/1495
 override_dh_auto_clean:
 	@true
-
-get-orig-source:
-	uscan --no-conf --download-current-version --compression xz --verbose

=== debian/tests/control ===
Test-Command: pytest
Depends: python-cysignals-bare, python-fpylll, python-pytest

Test-Command: pytest
Depends: python-cysignals-pari, python-fpylll, python-pytest

Test-Command: pytest-3
Depends: python3-cysignals-bare, python3-fpylll, python3-pytest

Test-Command: pytest-3
Depends: python3-cysignals-pari, python3-fpylll, python3-pytest

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds[\d]?//,repacksuffix=+ds1 \
https://github.com/fplll/fpylll/releases .*/fpylll-(\d\S*)dev\.tar\.gz

## fpylll 0.5.1+ds1

=== debian/changelog ===
fpylll (0.5.1+ds1-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:04 +0100

fpylll (0.5.1+ds1-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - b-d-i on python3-docutils

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jan 2020 17:47:29 -0500

fpylll (0.5.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Drop time patch, upstreamed.
  * Bump libfplll-dev dep to 5.3.0 (new pruner.h).
  * Add build-dep on libpari-dev.
  * Drop M-A: same since lintian complains.
  * Unbreak autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 20 Dec 2019 08:44:50 +0100

fpylll (0.4.1+ds1-7) unstable; urgency=medium

  * Team upload
  * Fix time-clock-deprecation in Python 3.8
    - Apply Matthias Klose patch (Closes: #943324)
  * d/control: Bump Standard-Version to 4.4.1

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Wed, 23 Oct 2019 23:17:18 -0300

fpylll (0.4.1+ds1-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Remove ancient X-Python3-Version field.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936549

 -- Sandro Tosi <morph@debian.org>  Wed, 16 Oct 2019 23:49:20 -0400

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,14 @@
  Ximin Luo <infinity0@debian.org>,
  Julien Puydt <jpuydt@debian.org>,
 Build-Depends:
- cython (>= 0.26),
  cython3 (>= 0.26),
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
- libfplll-dev (>= 5.2.1),
+ libfplll-dev (>= 5.3.0),
  libgmp-dev,
  libmpfr-dev,
+ libpari-dev,
  pkg-config,
- python-all-dev,
- python-cysignals-bare | python-cysignals,
- python-flake8,
- python-numpy,
- python-pytest,
- python-setuptools,
  python3-all-dev,
  python3-cysignals-bare | python3-cysignals,
  python3-flake8,
@@ -28,35 +22,14 @@
  python3-pytest,
  python3-setuptools,
 Build-Depends-Indep:
- python-docutils,
-Standards-Version: 4.2.1
-X-Python3-Version: >= 3.5
+ python3-docutils,
+Standards-Version: 4.4.1
 Homepage: https://github.com/fplll/fpylll
 Vcs-Git: https://salsa.debian.org/python-team/modules/fpylll.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/fpylll
 
-Package: python-fpylll
-Architecture: any
-Multi-Arch: same
-Depends:
- python-cysignals-bare | python-cysignals,
- python-numpy,
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Suggests:
- python-fpylll-doc (= ${source:Version}),
-Breaks:
- sagemath (<< 8.1~),
-Description: Python wrapper for LLL-reduction of Euclidean lattices -- Python
- fpylll is a Python library for performing lattice reduction on lattices over
- the Integers; it is based on the fpLLL C++ library.
- .
- This package installs the library for Python 2.
-
 Package: python3-fpylll
 Architecture: any
-Multi-Arch: same
 Depends:
  python3-cysignals-bare | python3-cysignals,
  python3-numpy,

## fpylll 0.5.2+ds1

=== debian/changelog ===
fpylll (0.5.2+ds1-3) unstable; urgency=medium

  * Add patch from upstream. (Closes: #976778)
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 19 Dec 2020 11:59:47 +0100

fpylll (0.5.2+ds1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * Drop unneeded lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Oct 2020 22:44:41 +0200

fpylll (0.5.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bump dh-compat to 13.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Aug 2020 08:42:39 +0200

fpylll (0.5.1+ds1-3) unstable; urgency=medium

  * Fix broken symlink from the -doc package.
  * Bump dh-compat to 12.
  * Bump std-vers to 4.5.0.
  * Point to the new DPMT address.
  * Add d/upstream/metadata.
  * Add Rules-Requires-Root: no.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 17 Jun 2020 23:00:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: fpylll
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
 Uploaders:
  Jerome Benoit <calculus@rezozer.net>,
  Ximin Luo <infinity0@debian.org>,
  Julien Puydt <jpuydt@debian.org>,
 Build-Depends:
  cython3 (>= 0.26),
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  libfplll-dev (>= 5.3.0),
  libgmp-dev,
@@ -23,10 +23,11 @@
  python3-setuptools,
 Build-Depends-Indep:
  python3-docutils,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/fplll/fpylll
-Vcs-Git: https://salsa.debian.org/python-team/modules/fpylll.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/fpylll
+Vcs-Git: https://salsa.debian.org/python-team/packages/fpylll.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/fpylll
 
 Package: python3-fpylll
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build-indep:
 	@true

## fpylll 0.5.9

=== requirements.txt ===
Cython
pytest
cysignals
black

=== debian/changelog ===
fpylll (0.5.9-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 16 Jan 2023 10:53:20 +0100

fpylll (0.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Drop now-useless patch.
  * Bump standards-version to 4.6.2.
  * Add patch to find default strategies.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 12 Jan 2023 17:39:36 +0100

fpylll (0.5.7-1) unstable; urgency=medium

  * Fix d/watch again.
  * Upstream source doesn't contain excluded files anymore.
  * New upstream release.
  * Drop now-useless patch.
  * Add patch to find default.json.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 29 Oct 2022 07:46:05 +0200

fpylll (0.5.2+ds1-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cython3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:20:50 +0100

fpylll (0.5.2+ds1-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 18:24:49 +0100

fpylll (0.5.2+ds1-7) unstable; urgency=medium

  * Fix d/watch.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Oct 2022 21:58:46 +0200

fpylll (0.5.2+ds1-6) unstable; urgency=medium

  * Bump fplll's version in b-dep since autopkgtest
  fails with the old one.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 25 Jun 2022 08:15:28 +0200

fpylll (0.5.2+ds1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python3-fpylll: Drop versioned constraint on sagemath in Breaks.

  [ Julien Puydt ]
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 22 Jun 2022 15:35:49 +0200

fpylll (0.5.2+ds1-4) unstable; urgency=medium

  * Team upload.
  * debian/control
    - use the proper team email address

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Aug 2021 00:01:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: fpylll
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@alioth-lists.debian.net>
+Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
 Uploaders:
  Jerome Benoit <calculus@rezozer.net>,
  Ximin Luo <infinity0@debian.org>,
  Julien Puydt <jpuydt@debian.org>,
 Build-Depends:
- cython3 (>= 0.26),
+ cython3,
  debhelper-compat (= 13),
  dh-python,
- libfplll-dev (>= 5.3.0),
+ libfplll-dev (>= 5.4.3),
  libgmp-dev,
  libmpfr-dev,
  libpari-dev,
@@ -23,7 +23,7 @@
  python3-setuptools,
 Build-Depends-Indep:
  python3-docutils,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fplll/fpylll
 Vcs-Git: https://salsa.debian.org/python-team/packages/fpylll.git
@@ -39,8 +39,6 @@
  ${shlibs:Depends},
 Suggests:
  python-fpylll-doc (= ${source:Version}),
-Breaks:
- sagemath (<< 8.1~),
 Description: Python wrapper for LLL-reduction of Euclidean lattices -- Python 3
  fpylll is a Python library for performing lattice reduction on lattices over
  the Integers; it is based on the fpLLL C++ library.

## fpylll 0.6.1

=== requirements.txt ===
setuptools
Cython>=3.0
pytest
cysignals
black

=== debian/changelog ===
fpylll (0.6.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:10 +1100

fpylll (0.6.1-1build1) noble; urgency=medium

  * No-change rebuild against libfplll8t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 05:56:26 +0000

fpylll (0.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 25 Jan 2024 13:37:09 +0100

fpylll (0.6.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release (Closes: #1055732, #1056800).
  * Fix clean target (Closes: #1044980).

 -- Alexandre Detiste <tchet@debian.org>  Tue, 16 Jan 2024 22:52:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: fpylll
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
 Uploaders:
  Jerome Benoit <calculus@rezozer.net>,
  Ximin Luo <infinity0@debian.org>,
  Julien Puydt <jpuydt@debian.org>,
 Build-Depends:
- cython3,
+ cython3 (>= 3.0.0),
  debhelper-compat (= 13),
  dh-python,
  libfplll-dev (>= 5.4.3),

=== debian/rules ===
--- 
+++ 
@@ -25,4 +25,4 @@
 # running `setup.py clean' builts cython files;
 # Bug: https://github.com/cython/cython/issues/1495
 override_dh_auto_clean:
-	@true
+	rm -rf src/fpylll.egg-info/

## fpylll 0.6.2

=== requirements.txt ===
setuptools
Cython>=3.0
pytest
cysignals<1.12.0
black

=== debian/changelog ===
fpylll (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.6.2
    - New version fixes FTBFS. (Closes: #1088361)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 12 Dec 2024 22:11:17 +0000

fpylll (0.6.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Use canonical maintainer name and email.
  * debian/control: Replace pkg-config with pkgconf.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/: Use dh-sequence-python3.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2024 11:41:19 -0400

## fpylll 0.6.3

=== requirements.txt ===
setuptools
Cython>=3.0
cysignals
pytest
black

=== debian/changelog ===
fpylll (0.6.3-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:44:21 +0000

fpylll (0.6.3-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on dh-sequence-numpy3 (closes: #1094910).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Feb 2025 15:10:09 +0000

fpylll (0.6.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 24 Jan 2025 09:21:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fpylll
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Jerome Benoit <calculus@rezozer.net>,
  Ximin Luo <infinity0@debian.org>,
@@ -10,12 +9,13 @@
 Build-Depends:
  cython3 (>= 3.0.0),
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-numpy3,
+ dh-sequence-python3,
  libfplll-dev (>= 5.4.3),
  libgmp-dev,
  libmpfr-dev,
  libpari-dev,
- pkg-config,
+ pkgconf,
  python3-all-dev,
  python3-cysignals-bare | python3-cysignals,
  python3-flake8,
@@ -24,7 +24,7 @@
  python3-setuptools,
 Build-Depends-Indep:
  python3-docutils,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fplll/fpylll
 Vcs-Git: https://salsa.debian.org/python-team/packages/fpylll.git

## fpylll 0.6.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/fpyLLL.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/fpyLLL.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/fpyLLL"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/fpyLLL"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
fpylll (0.6.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change upload for IEEE long double on ppc64el.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Sep 2025 14:51:08 +0200

fpylll (0.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 31 Aug 2025 13:08:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	@uscan --no-conf --dehs --report || true
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build-indep:
 	@true

=== debian/tests/control ===
Test-Command: pytest-3 tests/
Depends: python3-cysignals-bare, python3-fpylll, python3-pytest

Test-Command: pytest-3 tests/
Depends: python3-cysignals-pari, python3-fpylll, python3-pytest

=== debian/watch ===
version=4
https://github.com/fplll/fpylll/tags .*/(\d\S*)\.tar\.gz
